
#Copyright (C) 2006  Inmaculada Luengo Merino, Néstor Arocha Rodríguez

#This file is part of Driza.
#
#Driza is free software; you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation; either version 2 of the License, or
#(at your option) any later version.
#
#Driza is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with Driza; if not, write to the Free Software
#Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

#pushButton1: Buscar
#pushButton2: Cancelar


from uidbuscar import DialogoBuscar
from qt import *


class DBuscar(DialogoBuscar):
	def __init__(self,parent=None,name=None,modal=0,fl=0):
		DialogoBuscar.__init__(self,parent,name,modal,fl)
		self.__conexiones()
	def __conexiones(self):
		self.connect(self.pushButton2,SIGNAL("clicked()"),self.cancelar)

	def cancelar(self):
		"""Función de cancelacion del dialogo"""
		self.reject()

