#Clases de elementos correspondientes a la ventana de salida

#salida.py: Objetos relacionados con la ventana de salida

#Copyright (C) 2006  Inmaculada Luengo Merino, Nstor Arocha Rodrguez

#This file is part of Driza.
#
#Driza is free software; you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation; either version 2 of the License, or
#(at your option) any later version.
#
#Driza is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with Driza; if not, write to the Free Software
#Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

class resultado:
	"""Esta clase es la clase padre de todos los elementos que se mostraran en la ventana de salida"""
	pass

class descriptivo(resultado):
	"""Esta clase muestra la salida de un estudio descriptivo"""
	def __init__(self,media=None,moda=None,varianza=None):
		"""Funcion constructora del objeto. Se espera que los parametros sean tipo bool, determinando si dicho valor aparecer en la salida o no"""
		self.media=media
		self.moda=moda
		self.varianza=varianza
		self.array=[]
	def insertarregistro(self,nombre,media,moda,varianza):
		"""Funcin de insercin de un resultado. Se espera que cada parmetro sea el valor numrico del resultado o None para los no disponibles"""
		self.array.append([nombre,media,moda,varianza])
	def ncols(self):
		"""Devuelve el nmero de columnas incluyendo el nombre"""
		n=1
		if self.media: n+=1
		if self.moda: n+=1
		if self.varianza: n+=1
		return n
	def html(self):
		"""Devuelve el html con la tabla de resultados para la operacin pedida"""
		divisor="</td><td>"
		string="<table border=\"2\"><tr><td colspan=\"2\">Estudio descriptivo</td></tr><tr><td>Variable</td>"
		if self.media:
			string+="<td>Media</td>"
		if self.moda:
			string+="<td>Moda</td>"
		if self.varianza:
			string+="<td>Varianza</td>"
		string+="</tr>"
		for resultado in self.array:
			string+="<tr><td>"
			string+=resultado[0]
			if self.media:
				string+=divisor+repr(resultado[1])
			if self.moda:
				string+=divisor+repr(resultado[2])
			if self.varianza:
				string+=divisor+repr(resultado[3])
			string+="</td></tr>"
		return string
		

